package com.lightinit.hsdataportal.mapper;

import com.lightinit.hsdataportal.entity.RequirementData;
import com.lightinit.hsdataportal.entity.RequirementDataExample;
import java.util.List;
import org.apache.ibatis.annotations.Param;

public interface RequirementDataMapper {
    long countByExample(RequirementDataExample example);

    int deleteByExample(RequirementDataExample example);

    int deleteByPrimaryKey(Long id);

    int insert(RequirementData record);

    int insertSelective(RequirementData record);

    List<RequirementData> selectByExample(RequirementDataExample example);

    RequirementData selectByPrimaryKey(Long id);

    int updateByExampleSelective(@Param("record") RequirementData record, @Param("example") RequirementDataExample example);

    int updateByExample(@Param("record") RequirementData record, @Param("example") RequirementDataExample example);

    int updateByPrimaryKeySelective(RequirementData record);

    int updateByPrimaryKey(RequirementData record);

    int insertRequirementDataId(RequirementData requirementData);
}